import { Project } from '../project';
import { IRequester } from '../util';
/**
 * The publisher handle changing visility (public/private) of interactive controls.
 */
export declare class Publisher {
    private readonly requester;
    constructor(requester: IRequester);
    /**
     * Unpublishes an interactive control version.
     */
    unpublish(name: string, version: string): Promise<void>;
    /**
     * Publishes a package, making it accessible to everyone.
     */
    publish(project: Project): Promise<void>;
    private renderReadme(dir);
    private getPath(name, version);
}
